Subject: [dnsext] Comments on draft-ietf-dnsext-dnssec-bis-updates-08

From: Paul Hoffman <[email-masked]>
Date: Thu, 15 Jan 2009 08:26:21 -0800

Thank you to the authors for updating this document. A few editorial comments:

- The sentence at the beginning of section 2 needs an object and some terminating punctuation (hopefully a period, but an exclamation mark might also be appropriate).

- The second sentence in section 2.1 should use "because" instead of "as". "As" can be interpreted as meaning "when", which is not what is desired here.

- The first sentence of section 7 (the security considerations) is now wrong, given the two additions in section 2. The first two sentences can be replaced by:

   This document adds two cryptographic features to the core DNSSEC
   protocol.  It also addresses some ambiguities and omissions...

--Paul Hoffman, Director
--VPN Consortium

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: David Blacka <[email-masked]>
Date: Fri, 16 Jan 2009 14:49:59 -0500

On Jan 15, 2009, at 11:26 AM, Paul Hoffman wrote:

> - The sentence at the beginning of section 2 needs an object and  
> some terminating punctuation (hopefully a period, but an exclamation  
> mark might also be appropriate).

D'oh!  That partial sentence was just a placeholder for an overall  
description of section 2, and I completely forgot that it was there.   
It should either be removed or replace with a complete sentence or two.

>
> - The second sentence in section 2.1 should use "because" instead of  
> "as". "As" can be interpreted as meaning "when", which is not what  
> is desired here.

OK, I've recorded that.

>
> - The first sentence of section 7 (the security considerations) is  
> now wrong, given the two additions in section 2. The first two  
> sentences can be replaced by:
>

Um, so, actually, this document doesn't add any new cryptographic  
features -- RFC 4509 and draft-ietf-dnsext-dnssec-rsasha256 do.  This  
document is just reminding you that those documents do, indeed, exist  
and you should use them.  Maybe this is just a useless semantic  
argument, though.

--
David Blacka                          <[email-masked]>
Sr. Engineer          VeriSign Platform Product Development

---

From: Paul Hoffman <[email-masked]>
Date: Fri, 16 Jan 2009 11:57:12 -0800

At 2:49 PM -0500 1/16/09, David Blacka wrote:
>Um, so, actually, this document doesn't add any new cryptographic features -- RFC 4509 and draft-ietf-dnsext-dnssec-rsasha256 do.  This document is just reminding you that those documents do, indeed, exist and you should use them.  Maybe this is just a useless semantic argument, though.

Probably so. If this document is updating the definition of the core DNSSEC protocol, it defines these two features as part of the core protocol.

--Paul Hoffman, Director
--VPN Consortium